# Generated by Django 3.1.6 on 2021-02-02 09:47

from django.db import migrations, models
import django_kelove_database.db.fields
import django_kelove_database.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='CkfinderResource',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('adapter', models.CharField(choices=[('django_kelove_database.ckfinder.adapter.LocalAdapter', '本地存储')], default='django_kelove_database.ckfinder.adapter.LocalAdapter', max_length=191, verbose_name='资源类型')),
                ('name', models.CharField(db_index=True, default=django_kelove_database.models.uuid_string, max_length=191, unique=True, verbose_name='资源标识')),
                ('path', models.CharField(blank=True, default='', help_text='可使用的常量: {BASE_DIR} 、{STATIC_ROOT} 、{STATIC_URL} 、{MEDIA_ROOT} 、{MEDIA_URL} 例如：{MEDIA_ROOT}/demo01', max_length=191, verbose_name='资源路径')),
                ('url', models.CharField(blank=True, default='', help_text='可使用的常量: {BASE_DIR} 、{STATIC_ROOT} 、{STATIC_URL} 、{MEDIA_ROOT} 、{MEDIA_URL} 例如：{MEDIA_URL}demo01/', max_length=191, verbose_name='资源链接地址')),
                ('allowed_extensions', models.TextField(blank=True, default='', help_text='多个后缀名需用 "," 分割，例如：jpg,gif,png', verbose_name='允许上传的文件后缀')),
                ('denied_extensions', models.TextField(blank=True, default='', help_text='多个后缀名需用 "," 分割，例如：jpg,gif,png', verbose_name='禁止上传的文件后缀')),
                ('max_size', models.CharField(blank=True, default='0', help_text='0表示不限制大小，可选单位：KiB , MiB , GiB , TiB , PiB , EiB , ZiB , YiB , BiB , NiB , DiB , KB , MB , GB , TB , PB , EB , ZB , YB , BB , NB , DB , B 例如：5MiB', max_length=191, verbose_name='允许上传文件的最大尺寸')),
                ('other', django_kelove_database.db.fields.JSONField(blank=True, default=dict, verbose_name='更多配置')),
                ('enabled', models.BooleanField(db_index=True, default=True, verbose_name='是否启用')),
                ('verify_permissions', models.BooleanField(db_index=True, default=True, verbose_name='是否验证用户权限')),
                ('ck_finder_folder_view', models.BooleanField(default=True, help_text='不验证用户权限时生效', verbose_name='是否允许浏览目录')),
                ('ck_finder_folder_create', models.BooleanField(default=True, help_text='不验证用户权限时生效', verbose_name='是否允许创建目录')),
                ('ck_finder_folder_rename', models.BooleanField(default=True, help_text='不验证用户权限时生效', verbose_name='是否允许重命名目录')),
                ('ck_finder_folder_delete', models.BooleanField(default=True, help_text='不验证用户权限时生效', verbose_name='是否允许删除目录')),
                ('ck_finder_file_view', models.BooleanField(default=True, help_text='不验证用户权限时生效', verbose_name='是否允许浏览文件')),
                ('ck_finder_file_create', models.BooleanField(default=True, help_text='不验证用户权限时生效', verbose_name='是否允许创建文件')),
                ('ck_finder_file_rename', models.BooleanField(default=True, help_text='不验证用户权限时生效', verbose_name='是否允许重命名文件')),
                ('ck_finder_file_delete', models.BooleanField(default=True, help_text='不验证用户权限时生效', verbose_name='是否允许删除文件')),
                ('ck_finder_image_resize', models.BooleanField(default=True, help_text='不验证用户权限时生效', verbose_name='是否允许生成缩略图')),
                ('ck_finder_image_resize_custom', models.BooleanField(default=True, help_text='不验证用户权限时生效', verbose_name='是否允许自定义缩略图大小')),
            ],
            options={
                'verbose_name': 'Ckfinder 资源',
                'verbose_name_plural': 'Ckfinder 资源',
            },
        ),
    ]
